Bug 18908 - Warning "Compatibility levels before 9 are deprecated"
Summary: Warning "Compatibility levels before 9 are deprecated"
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Packaging (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: M. Tompsett
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-07-06 18:54 UTC by M. Tompsett
Modified: 2018-06-04 20:15 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18908: Warning "Compatibility levels before 9 are deprecated" (928 bytes, patch)
2017-07-06 18:57 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 18908: Warning "Compatibility levels before 9 are deprecated" (1.24 KB, patch)
2018-03-09 06:46 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description M. Tompsett 2017-07-06 18:54:47 UTC
The following output:

dh: Compatibility levels before 9 are deprecated (level 7 in use)
   dh_testdir -O--fail-missing
   dh_auto_clean -O--fail-missing
dh_auto_clean: Compatibility levels before 9 are deprecated (level 7 in use)
   dh_clean -O--fail-missing

is given when trying to following these instructions:
https://wiki.koha-community.org/wiki/Building_Debian_Packages_-_The_Easy_Way
Comment 1 M. Tompsett 2017-07-06 18:57:18 UTC
Created attachment 64865 [details] [review]
Bug 18908: Warning "Compatibility levels before 9 are deprecated"

The following output:

dh: Compatibility levels before 9 are deprecated (level 7 in use)
   dh_testdir -O--fail-missing
   dh_auto_clean -O--fail-missing
dh_auto_clean: Compatibility levels before 9 are deprecated (level 7 in use)
   dh_clean -O--fail-missing

is given when trying to following these instructions:
https://wiki.koha-community.org/wiki/Building_Debian_Packages_-_The_Easy_Way

This merely tweaks the debian/compat file from 7 to 9.
The message goes away.
Comment 2 Katrin Fischer 2017-10-15 08:52:55 UTC
Mirko, could you take a look here?
Comment 3 Marcel de Rooy 2018-03-09 06:46:08 UTC
Created attachment 72543 [details] [review]
Bug 18908: Warning "Compatibility levels before 9 are deprecated"

The following output:

dh: Compatibility levels before 9 are deprecated (level 7 in use)
   dh_testdir -O--fail-missing
   dh_auto_clean -O--fail-missing
dh_auto_clean: Compatibility levels before 9 are deprecated (level 7 in use)
   dh_clean -O--fail-missing

is given when trying to following these instructions:
https://wiki.koha-community.org/wiki/Building_Debian_Packages_-_The_Easy_Way

This merely tweaks the debian/compat file from 7 to 9.
The message goes away.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
From https://www.debian.org/doc/manuals/maint-guide/dother.en.html:
You may use compat level v9 in certain circumstances for compatibility with older systems. However, using any level below v9 is not recommended and should be avoided for new packages.
Comment 4 Marcel de Rooy 2018-03-09 06:46:41 UTC
Combining SO+QA/trivial
Comment 5 Jonathan Druart 2018-03-19 18:30:27 UTC
Pushed to master for 18.05, thanks to everybody involved!